
/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zwq
 * @LastEditTime: 2023-01-05 15:49:17
 * @FilePath: \basic-admin\src\filters\basicData\index.js
 * @Description:
 */
import i18n from "@/i18n";

const table = {
  sex: {
    '0': '男',
    '1': '女'
  },
  logStatus: {
    '0': '写入设备',
    '1': '接受设备信息'
  },
  logType: {
    '0': 'wcs-to-wms',
    '1': 'wms-to-wcs'
  },
  isEmpty: {
    '0': '空',
    '1': '有货'
  },
  positionStatus: {
    '-1': '不可用',
    '0': '空库位',
    '1': '空货架',
    '2': '货物正常',
    '3': '货物预入库',
    '4': '货物预出库'
  },
  isHeight: {
    '0': '不超高',
    '1': '超高'
  },
  isWeight: {
    '0': '不超重',
    '1': '超重'
  },
  detStatus: {
    '0': '接收数据',
    '1': '数据接收中',
    '2': '数据接收完成',
    '4': '等待接收数据'
  },
  taskType: {
    '0': '出库',
    '1': '入库',
    '2': '移库'
  },
  productType: {
    '1': '成品',
    '2': '半成品',
    '3': '原材料'
  },
  eStatus: {
    '0': '初始化',
    '1': '损坏',
    '2': '工作中'
  },
  regionType: {
    '0': '普通库位',
    '1': '高库位',
    '2': '扩展库位'
  },
  direction: {
    'L': '左',
    'R': '右',
  },
  isOccupy: {
    '0': '可用',
    '1': '被占用'
  },
}

export default function(dictTable) {
  return function(val) {
    return table?.[dictTable]?.[val]
  }
}